tigase.jaxmpp.core.client

## Class UIDGenerator

- java.lang.Object
- - tigase.jaxmpp.core.client.UIDGenerator

-     public abstract class UIDGenerator
      extends Object

  Unique IDs generator. Used for attribute 'id' in stanzas.
  Author:
    bmalkow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDGenerator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static String` | `next()` Generate next id;
    `protected abstract String` | `nextUID()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UIDGenerator

          public UIDGenerator()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### next

          public static String next()

      Generate next id;
      Returns:
        unique id

    - #### nextUID

          protected abstract String nextUID()

Copyright © 2006–2020 Tigase. All rights reserved.